﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.IRA

<script src="~/Script/ApplicationManagement/IRA.js"></script>

<style>
    h2.h2class {
        margin: 0;
        font-size: 17px;
        font-weight: 600;
    }

    .tabanchor p {
        background-color: #fff;
        width: 100%;
        float: left;
        font-size: 17px;
        font-weight: 600;
        line-height: 51px;
    }

    .tabanchor span {
        float: right;
        font-size: 15px;
    }

    .boxcolor {
        float: left;
        position: relative;
        height: 25px;
        width: 100%;
        background: #00b050; /* Old browsers */
        background: -moz-linear-gradient(left, #00b050 0%, #ffdc00 50%, #ff0000 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(left, #00b050 0%,#ffdc00 50%,#ff0000 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to right, #00b050 0%,#ffdc00 50%,#ff0000 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    }

    .arrowicon {
        position: absolute;
        bottom: -26px;
        left: 0px;
    }

    .btn_enabler {
        background: #61c1c1;
        border: none;
        width: 100%;
        text-align: center;
        padding: 12px 4px;
        color: #fff;
        margin-top: 15px;
    }




    .inputcheckboxlist ul {
        list-style-type: none;
    }

        .inputcheckboxlist ul li {
            display: inline-block;
            padding: 8px 8px;
        }

    input[type="checkbox"].customcheckbtn {
        display: none;
    }

        input[type="checkbox"].customcheckbtn + label {
            position: relative;
            padding: 5px 5px 5px 40px;
        }

            input[type="checkbox"].customcheckbtn + label:before {
                content: "";
                width: 27px;
                height: 27px;
                border-radius: 4px;
                border: solid 1px #ccc;
                background: #fff;
                position: absolute;
                left: 0;
                top: 2px;
                transition: 0.3s;
            }

            input[type="checkbox"].customcheckbtn + label:after {
                content: "";
                width: 12px;
                height: 6px;
                border-bottom: solid 3px #fff;
                border-left: solid 3px #fff;
                position: absolute;
                left: 8px;
                top: 10px;
                opacity: 0;
                transition: 0.3s;
                transform: rotate( -45deg );
            }


        input[type="checkbox"].customcheckbtn:checked + label:after {
            opacity: 1;
        }

        input[type="checkbox"].customcheckbtn:checked + label:before {
            border: solid 1px #0b1db2;
            background: #0b1db2;
        }

    #tblApplications td .clickIcon {
        width: 20px;
        height: 20px;
        display: block;
        background: #00a3a1;
        margin-left: auto;
        position: relative;
        cursor: pointer;
    }

        #tblApplications td .clickIcon::before {
            content: "";
            width: 2px;
            height: 12px;
            background: #fff;
            position: absolute;
            top: 4px;
            left: 50%;
            margin-left: -1px;
        }

        #tblApplications td .clickIcon::after {
            content: "";
            width: 12px;
            height: 2px;
            background: #fff;
            position: absolute;
            left: 4px;
            top: 50%;
            margin-top: -1px;
        }

        #tblApplications td .clickIcon.remove {
            background: #f00;
        }

            #tblApplications td .clickIcon.remove::before {
                display: none;
            }
</style>

<section>
    <div class="right_section">
        @Html.HiddenFor(x => x.OrgId)
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Process Assessment for @Model.OrgName
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
        </div>
        @Html.HiddenFor(x => x.OrgName)
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-sm-4">
                            <h2 class="h2class">Process Assigned to You</h2>
                            <div class="boxgrey">
                                <div class="boxone">
                                    <div class="col">
                                        <ul class="orgmap">
                                            @foreach (var item in Model.FunctionList)
                                            {
                                                var processList = Model.ProcessList.Where(x => x.FunctionID == item.Id && x.AssignToUserId == Convert.ToInt64(Context.Session.GetInt32("UserId"))).ToList();
                                                if (processList.Count > 0)
                                                {
                                                    <li class="first inactive">
                                                        <div>
                                                            <span class="text">@item.FunctionName</span>
                                                        </div>
                                                        <ul>
                                                            @foreach (var _item in processList)
                                                            {
                                                                <li>
                                                                    <div>
                                                                        <span class="text">@_item.ProcessName</span>
                                                                        <a href="#" onclick="GetDomainCriticalityScore('@Model.OrgId', '@item.Id', '@_item.Id', '@_item.ProcessName', '@_item.ProcessOwner', '@_item.ProcessDescription')">
                                                                            <span class="icon"><i class="fa fa-caret-right fa-3x" style="padding-top:7px;"></i></span>
                                                                        </a>
                                                                    </div>
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }
                                            }
                                        </ul>
                                    </div>
                                </div>
                                @if (Model.RoleId == 4)
                                {
                                    <div class="tabanchor">
                                        <p>Other Process<span><a href="#" onclick="ManageDivHideShow('#divProcessAssignToUser')"><i class="fa fa-user-plus fa-2x"></i></a></span></p>
                                        <div class="col boxone">
                                            <ul class="orgmap">
                                                @foreach (var item in Model.FunctionList)
                                                {
                                                    var processList = Model.ProcessList.Where(x => x.FunctionID == item.Id).ToList();
                                                    <li class="first inactive">
                                                        <div>
                                                            <span class="text">@item.FunctionName</span>
                                                            @if (processList.All(x => x.AssignToUserId > 0))
                                                            {
                                                                <span class="icon" title="All processes of this function has assigned"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                            }
                                                            else
                                                            {
                                                                <span class="icon" title="Some processes of this function need to assign"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                            }
                                                        </div>
                                                        <ul>
                                                            @foreach (var _item in processList)
                                                            {
                                                                <li>
                                                                    <div>
                                                                        <span class="text">@_item.ProcessName</span>
                                                                        @if (_item.AssignToUserId > 0)
                                                                        {
                                                                            <span class="icon" title="Already assigned"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                                        }
                                                                        else
                                                                        {
                                                                            <span class="icon" title="un-assigned"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                                        }
                                                                    </div>
                                                                </li>
                                                            }
                                                        </ul>
                                                    </li>
                                                }
                                            </ul>
                                            <div class="clsHints">
                                                <span class="icon" style="float:left">
                                                    <img src="~/Image/CreateOrganogram/Circle_Information.png" />Assigned &emsp;
                                                    <img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Unassigned
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                }

                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="addApplications" id="divProcessAssignToUser">
                                <div class="row">
                                    <div class="col-2 p-2 text-center">
                                        <label>Function :</label>
                                    </div>
                                    <div class="col-6">
                                        <div class="select_box m_bottom">
                                            <select class="form-control m_no" asp-for="FunctionId" onchange="GetProcesses($(this).val())">
                                                <option value="0">Select Function</option>
                                                @foreach (var item in Model.FunctionList)
                                                {
                                                    <option value="@item.Id">@item.FunctionName</option>
                                                }
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-2 p-2 text-center">
                                        <label>Process :</label>
                                    </div>
                                    <div class="col-6">
                                        <div class="select_box m_bottom">
                                            <select class="form-control m_no" asp-for="ProcessId" onchange="GetAssignToUserId($(this).val())">
                                                <option value="0">Select Process</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-2 p-2 text-center">
                                        <label>Assign To :</label>
                                    </div>
                                    <div class="col-6">
                                        <div class="select_box m_bottom">
                                            <select class="form-control m_no" id="UserId">
                                                <option value="0">Select User</option>
                                                @foreach (var item in Model.UserList)
                                                {
                                                    <option value="@item.ClientId">@item.ClientName</option>
                                                }
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-2 offset-10">
                                        <button class="btn btn-info" onclick="SaveAssignedProcess()">Save</button>
                                    </div>
                                </div>
                            </div>
                            <div class="addApplications" id="divDomainCriticalityScore">
                                <div class="pb-2 mb-2 border-bottom box_title">Domain Criticality Score</div>
                                <input type="hidden" id="_OrgId" value="@Model.OrgId" />
                                <input type="hidden" id="_FunctionId" />
                                <input type="hidden" id="_ProcessId" />
                                <div class="row p-1">
                                    <div class="col-6">
                                        <label>Process Name</label>
                                        <input class="form-control" id="ProcessName" />
                                    </div>
                                    <div class="col-6">
                                        <label>Process Owner</label>
                                        <input class="form-control" id="ProcessOwner" />
                                    </div>
                                </div>
                                <div class="row p-1">
                                    <div class="col-6">
                                        <label>Process Description</label>
                                        <textarea class="form-control" cols="37" rows="3" id="ProcessDescription"></textarea>
                                    </div>
                                    <div class="col-6 p-3">
                                        <label id="impactScore">Impact Score : 0</label>
                                        <div class="boxcolor">
                                            <div class="arrowicon">
                                                <i class="fa fa-caret-up fa-3x" aria-hidden="true"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row p-2">
                                    <div class="col">
                                        <div class="table_control">
                                            <table id="DomainCritical" class="table"></table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-4 offset-8 text-right">
                                        <button class="btn btn-info" onclick="ManageDivHideShow('#divMapEnabler')">Map Enabler</button>
                                        <button class="btn btn-info" onclick="SubmitDomainCriticalityScore()">Submit</button>
                                    </div>
                                </div>
                            </div>
                            <div class="addApplications" id="divMapEnabler">
                                <div class="row p-1">
                                    <div class="col-2 p-2">
                                        <label>Process Name : </label>
                                    </div>
                                    <div class="col-6">
                                        <input class="form-control" id="_ProcessName" readonly />
                                    </div>
                                </div>
                                <div class="mt-3 border-bottom box_title" style="border-bottom:1px solid #22a9b7 !important">Select Enabler</div>
                                <div class="row justify-content-center" id="divEnableList"></div>
                                <div class="row pt-2">
                                    <div class="col-4 offset-8 text-right">
                                        <button class="btn btn-danger" onclick="ManageDivHideShow('#divDomainCriticalityScore')">Back</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="modal fade" id="modalMapEnabler" tabindex="-1" role="dialog" aria-labelledby="modalMapEnablerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl " role="document">
        <div class="modal-content">
            <div class="p-2 mb-2 border-bottom box_title">Map Enabler</div>
            <div class="modal-body py-0">
                <div class="row">
                    <div class="col-12">
                        <div class="inputcheckboxlist">
                            <input type="hidden" id="ConCatId" />
                            <input type="text" class="form-control" id="inputSearch" placeholder="search" onkeyup="SearchQuestionnaire(this,'#liQuestion')" />
                            <ul id="liQuestion"></ul>
                            <label class="m-0">Item not in list...</label>&nbsp;<a href="#" onclick="AddQuestionnaire()">Add more</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a class="btn btn-danger" data-dismiss="modal" href="#modalMapEnabler" onclick="$('#inputSearch').val('')">Close</a>
                <button type="button" class="btn btn-primary" onclick="SubmitProcessEnablerMap()">Save</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalAddQuestionnaire" tabindex="-1" role="dialog" aria-labelledby="modalAddQuestionnaireTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" style="width: 900px; max-width: 900px" role="document">
        <div class="modal-content">
            <div class="p-2 mb-2 border-bottom box_title">Map Enabler</div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-12">
                        <div class="table_control">
                            <table class="table" id="tblApplications">
                                <thead>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <a class="btn btn-danger" data-dismiss="modal" href="#modalAddQuestionnaire">Close</a>
                <button type="button" class="btn btn-primary" onclick="SaveQuestionnaire()">Save</button>
            </div>
        </div>
    </div>
</div>
